Skip to main content
`Ctrl`+`K`

# KSPMonitorSingularValueCreate

Creates the singular value monitor context needed by `KSPMonitorSingularValue()`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorSingularValueCreate(PetscViewer viewer, PetscViewerFormat format, void *ctx, PetscViewerAndFormat **vf)

Collective

## Input Parameters

- viewer - The PetscViewer

- format - The viewer format

- ctx - An optional user context

## Output Parameter

- vf - The viewer context

## See Also

KSP: Linear System Solvers, `KSP`, `KSPMonitorSet()`, `KSPMonitorSingularValue()`, `PetscViewer`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages